Subject: bug#60338: [PATCH] Add option to present server changes as diffs

From: Eshel Yaron <[email-masked]>
Date: Wed, 14 Jun 2023 09:00:27 +0300

FWIW I'd definitely want to use this feature when it lands.

>> It doesn't necessarily have to be the full-fledged diffs, it could be
>> something approximate.  After all, this is for human consumption.
>
> Not really, the point is that you can apply these diffs directly.  Also,
> I would not say that diffs are not for human consumption.

I agree, it'd be nice to get a proper diff buffer with all the benefits
of `diff-mode`.

I also see how it would be useful for Emacs to be able to generate such
a diff buffer directly from the change description that the LSP server
provides, without applying the change and running the diff program, but
it doesn't seem quite trivial so I hope that can be implemented as an
enhancement down the line.  (I'd be happy to help with that, BTW.)

-- 
Best,

Eshel